import type { _TKSmartCard } from "./TKSmartCard.js";
import type { _TKSmartCardPINFormat } from "./TKSmartCardPINFormat.js";
import type { _TKTokenAuthOperation } from "./TKTokenAuthOperation.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _TKTokenSmartCardPINAuthOperation extends _TKTokenAuthOperation {
    static alloc(): _TKTokenSmartCardPINAuthOperation;
    static new(): _TKTokenSmartCardPINAuthOperation;
    init(): _TKTokenSmartCardPINAuthOperation;
    /**
     * PIN formatting properties. The property is initialized with a default instance of TKSmartCardPINFormat.
     */
    PINFormat(): _TKSmartCardPINFormat;
    setPINFormat$(value: _TKSmartCardPINFormat): void;
    /**
     * APDU template into which PIN gets filled in. If set to nil, the system will not attempt to authenticate by sending the formatted APDU to the SmartCard, but rather the token itself is expected to perform the authentication. It is preferred to provide APDUTemplate if possible, because it allows using hardware PINPad for secure PIN entry (provided that the reader has one).
     */
    APDUTemplate(): _NSData | null;
    setAPDUTemplate$(value: _NSData | null): void;
    /**
     * Offset in bytes within APDU template to mark the location for filling in the PIN.
     */
    PINByteOffset(): number;
    setPINByteOffset$(value: number): void;
    /**
     * TKSmartCard to which the formatted APDU gets sent in order to authenticate (used only if 'APDUTemplate' is set).
     */
    smartCard(): _TKSmartCard | null;
    setSmartCard$(value: _TKSmartCard | null): void;
    /**
     * PIN value which will be set when 'finishWithError:' gets triggered. Note that the PIN is not set in case that APDUTemplate was set. In this case, PIN was already sent to the card using specified template.
     */
    PIN(): _NSString | null;
    setPIN$(value: _NSString | null): void;
}
